# Generated by Django 5.1.1 on 2024-10-03 14:47

from django.db import migrations
from django.db import models
from django.db import transaction


def convert_from_format_to_template(apps, schema_editor):
    # TODO: Is there a signal to disable?  I don't want documents getting moved while this is running

    StoragePath = apps.get_model("documents", "StoragePath")

    from documents.templating.utils import convert_format_str_to_template_format

    with transaction.atomic():
        for storage_path in StoragePath.objects.all():
            storage_path.path = convert_format_str_to_template_format(storage_path.path)
            storage_path.save()


class Migration(migrations.Migration):
    dependencies = [
        ("documents", "1054_customfieldinstance_value_monetary_amount_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="storagepath",
            name="path",
            field=models.CharField(max_length=2048, verbose_name="path"),
        ),
        migrations.RunPython(
            convert_from_format_to_template,
            migrations.RunPython.noop,
        ),
    ]
